<VirtualHost *:80>
   DocumentRoot /var/www/chadstasks.lemmermann.tech
   ServerName chadstasks.lemmermann.tech

#Redirect /sql http://lemmermann.tech/books/SQL/OEBPS/Text/TOC.xhtml

<Directory /var/www/chadstasks.lemmermann.tech/>
  AllowOverride All
</Directory>

#  Alias /library /media/library

<Directory /media/library/>
  #AccessFileName /media/library/.htaccess
  Options Indexes FollowSymLinks
  AllowOverride None
   Order Deny,Allow
   #Allow from all
  
    AuthName "Rich's Personal Library"
    AuthType Basic
    #AuthBasicProvider file ldap
    AuthUserFile /var/www/lemmermann.tech/.lib_htpasswd
    #AuthLDAPURL ldap://ldaphost/o=yourorg
    Require valid-user

</Directory>

<Directory /var/www/chadstasks.lemmermann.tech/>
  Options -Indexes
  AllowOverride All
</Directory>

  Alias /temp /media/temp

<Directory /media/temp/>
#  AccessFileName /media/library/.htaccess
  Options Indexes FollowSymLinks
  AllowOverride None
   Order Deny,Allow
   #Allow from all
  
    AuthName "Rich's Personal Temp"
    AuthType Basic
    #AuthBasicProvider file ldap
    AuthUserFile /var/www/lemmermann.tech/.lib_temp
    #AuthLDAPURL ldap://ldaphost/o=yourorg
    Require valid-user

</Directory>


</VirtualHost>
<VirtualHost *:80>
   DocumentRoot /var/www/chadstasks.lemmermann.tech
   ServerName www.chadstasks.lemmermann.tech

<Directory /var/www/chadstasks.lemmermann.tech/>
  Options +FollowSymLinks
  AllowOverride All
</Directory>


  Alias /downloads /media/downloads

<Directory /media/downloads/>
  #AccessFileName /media/library/.htaccess
  Options Indexes FollowSymLinks
###Require all granted 
  AllowOverride None
  Order Deny,Allow
####
   #Allow from all
  
 #   AuthName "Rich's Personal Library"
  #  AuthType Basic
    #AuthBasicProvider file ldap
   # AuthUserFile /var/www/lemmermann.tech/.lib_htpasswd
    #AuthLDAPURL ldap://ldaphost/o=yourorg
 #   Require valid-user
#
</Directory>

</VirtualHost>

